package webppclient;

import java.net.*;
import java.io.*;
import java.util.*;


///////////////////////////////////////////////////////////////////////////////
// 
// timer class
//
///////////////////////////////////////////////////////////////////////////////
public final class Timer
{
    // gets initial timestamp =================================================
    void start()
    {
        startTime = new Date();
    }

    // gets final timestamp ===================================================
    void stop()
    {
        endTime = new Date();
    }

    // returns time in miliseconds ============================================
    long getTime() 
    {
        return (endTime.getTime() - startTime.getTime());
    }

    // timestamps =============================================================
    private Date startTime;
    private Date endTime;
}


