import java.net.*;
import java.io.*;
import java.lang.*;

public class PutURL {
  static long bytesRead;

  public void PutURL() {}

  public static long putURL(String urlName, String localFile, String destFile) throws Exception {
    byte b = 0;
    int done = 0;
    URL url = new URL(urlName);
    HttpURLConnection conn = null;
    //URLConnection conn = null;
    try {
      conn = (HttpURLConnection) url.openConnection();
      //conn = url.openConnection();
    } catch (IOException ioe) {
      return 0;
    }
    if (conn == null) return 0;
    //conn.setRequestMethod("PUT");
    conn.setDoOutput(true);
    conn.setDoInput(true);
    conn.setUseCaches(false);
    conn.setRequestProperty("path", destFile);

    DataOutputStream out = new DataOutputStream(conn.getOutputStream());
    bytesRead = returnFile(localFile, out);

    DataInputStream in1 = new DataInputStream(conn.getInputStream());
    done = 0;
    try { b = in1.readByte(); } catch (EOFException e) { done = 1; }
    while (done == 0) {
      System.out.print((char)b);
      try { b = in1.readByte(); } catch (EOFException e) { done = 1; }
    }
    in1.close();

    System.out.println("Bytes: " + bytesRead);
    return bytesRead;
  }

  public static long returnFile(String filename, OutputStream out)
                             throws FileNotFoundException, IOException {
    long count = 0;
    FileInputStream fis = null;
    try {
      fis = new FileInputStream(filename);
      byte[] buf = new byte[4 * 1024];  // 4K buffer
      int bytesRead;
      while ((bytesRead = fis.read(buf)) != -1) {
        out.write(buf, 0, bytesRead);
        count += bytesRead;
      }
    }
    finally {
      if (fis != null) fis.close();
    }
    return count;
  }

  public static void main (String[] args) throws Exception {
    if (args.length < 1) {
      System.out.println("Usage: PutURL URL localFile");
      return;
    }
    String urlName = args[0];
    String localFile = args[1];
    String destFile = args[2];
    System.out.println("Connecting to " + urlName);
    try {
      putURL(urlName, localFile, destFile);
    } catch (Exception e) {
      System.out.println("Unsuccesful request!");
    }
  }
  
}

