package webppserv;

import java.net.*;
import java.io.*;
import java.util.*;




///////////////////////////////////////////////////////////////////////////////
// 
// An implementation of a plain ole assert
//
///////////////////////////////////////////////////////////////////////////////
final class Assert
{
    // assert without a msg ===================================================
    public static void assert( boolean cond ) 
    {
        if ( !cond ) {
            fail( "" );
        }
    }

    // assert with a msg ======================================================
    public static void assert( boolean cond, String msg ) 
    {
        if ( !cond ) {
            fail( msg );
        }
    }

    // assert with a msg ======================================================
    public static void fail( String msg ) 
    {
        System.err.println( "ASSERTION FAILED: " + msg );
            
        Throwable e = new Throwable();
        e.printStackTrace();

        Runtime.getRuntime().exit( -1 );
    }

}





