import java.net.*;
import java.io.*;

public class GetURL {
  static long first_byte_time, total_time, bytesRead;

  //public void GetURL() {}

  public static long getURL(String urlName) throws Exception {
    //long time1, time2=0, time3;
    byte b = 0;
    int done = 0;
    URL url = new URL(urlName);
    URLConnection conn = null;
    try {
      conn = url.openConnection();
    } catch (IOException ioe) {
      return 0;
    }
    if (conn == null) return 0;
    
    bytesRead = 0;
    DataInputStream in = new DataInputStream(conn.getInputStream());
    try { b = in.readByte(); } catch (EOFException e) { done = 1; }
    while (done == 0) {
      bytesRead++;
      System.out.print((char)b);
      try { b = in.readByte(); } catch (EOFException e) { done = 1; }
    }
    in.close();
    return bytesRead;
  }

  public static void main (String[] args) throws Exception {
    if (args.length < 1) {
      System.out.println("Usage: GetURL URL");
      return;
    }
    String urlName = args[0];
    System.out.println("Connecting to " + urlName);
    try {
      getURL(urlName);
    } catch (Exception e) {
      System.out.println("Unsuccesful request: " + urlName);
    }
  }
  
}
    
